<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Auth;

class meeting_invitations_SINGLE_Controller extends Controller
{
    public $selfName = 'meeting_invitations_SINGLE_Controller';

	// GET /meeting_invitations/view/{uid}/ACTION_cancel
	public function ACTION_cancel(Request $request, $uid) {
		$record = DB::table('meeting_invitation')->where('uid', $uid)->first();
		return response()->view('admin/meeting_invitations_SINGLE/ACTION_cancel', compact('record'), session('message') ? 500 : 200)->header('Content-Type', 'text/html');
	}

	// GET /meeting_invitations/view/{uid}/SUB_dashboard
	public function SUB_dashboard(Request $request, $uid) {
		$record = DB::table('meeting_invitation')->where('uid', $uid)->first();
		return response()->view('admin/meeting_invitations_SINGLE/SUB_dashboard', compact('record'), session('message') ? 500 : 200)->header('Content-Type', 'text/html');
	}
}
